Package org.eclipse.emf.cdo.compare

## Class CDOCompare.CDODiffEngine

- java.lang.Object
- - org.eclipse.emf.compare.diff.DefaultDiffEngine
  - - org.eclipse.emf.cdo.compare.CDOCompare.CDODiffEngine

- All Implemented Interfaces:
    `org.eclipse.emf.compare.diff.IDiffEngine`
  Enclosing class:
    CDOCompare

      public static class CDOCompare.CDODiffEngine
      extends org.eclipse.emf.compare.diff.DefaultDiffEngine

  A `diff engine` that `creates` and uses CDO-specific `feature filters`.
  Since:
    4.5
  Author:
    Eike Stepper
  See Also:
    `CDOCompare.CDOFeatureFilter`

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.emf.compare.diff.DefaultDiffEngine

      `UNMATCHED_VALUE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CDODiffEngine()` |
    `CDODiffEngine​(org.eclipse.emf.compare.diff.IDiffProcessor processor)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected org.eclipse.emf.compare.diff.FeatureFilter` | `createFeatureFilter()` |

    - ### Methods inherited from class org.eclipse.emf.compare.diff.DefaultDiffEngine

      `checkForDifferences, checkResourceAttachment, computeContainmentDifferences, computeContainmentDifferencesThreeWay, computeContainmentDifferencesTwoWay, computeDifferences, computeDifferences, computeMultiValuedFeatureDifferences, computeMultiValuedFeatureDifferencesThreeWay, computeMultiValuedFeatureDifferencesTwoWay, computeSingleValuedAttributeDifferences, computeSingleValuedReferenceDifferencesThreeWay, computeSingleValuedReferenceDifferencesTwoWay, createContainmentDifferences, createContainmentDifferencesNoOrdering, createMultiValuedFeatureDifferencesNoOrdering, diff, featureChange, getDiffProcessor, getIfPresent, getMatchIfPresent, indexOf, isRoot, matchingContainment`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CDODiffEngine

          public CDODiffEngine()

    - #### CDODiffEngine

          public CDODiffEngine​(org.eclipse.emf.compare.diff.IDiffProcessor processor)

  - ### Method Detail

    - #### createFeatureFilter

          protected org.eclipse.emf.compare.diff.FeatureFilter createFeatureFilter()

      Overrides:
        `createFeatureFilter` in class `org.eclipse.emf.compare.diff.DefaultDiffEngine`